Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Arash Esbati <[email-masked]>
Date: Fri, 05 Jul 2024 09:35:05 +0200

Paul Nelson <[email-masked]> writes:

> I could just as well be persuaded that AUCTeX should never take over
> by default.  Then, anyone updating AUCTeX to add something to their
> config (a couple lines saying where LaTeX-mode should activate).  I
> guess that'd cause a lot of headache -- I know that I didn't read NEWS
> when updating for many years, and imagine the same is true for many
> users.  My main suggestion is that the default behavior should be
> consistent between tex files and source blocks, so as not to cause
> surprises like in the original message in this thread.

There is always some history, agreed.  So let's do it; Keita has a patch
for this.

Best, Arash